module.exports = {
  'env': {
    'node': true
  },
  'extends': 'google',
  'parserOptions': {
    'ecmaVersion': 8
  },
  'rules': {
    // 不检查未使用的变量
    'no-unused-vars': 0,
    // 不检查末行是否为空行
    'eol-last': 0,
    // 箭头函数的单个参数不要求一定要有括号
    'arrow-parens': 0,
    // 不要求一定要有 JSDoc
    'require-jsdoc': 0,
    // 不检查 JSDoc
    'valid-jsdoc': 0,
    // 每行长度限制为 120 字符
    'max-len': ['error', 120, {
      'ignoreStrings': true,
    },
    ],
    // 缩进为 2 个空格
    'indent': ['error', 2],
    // 不要求 for-in 中一定要有判断语句
    'guard-for-in': 0,
    // 提示存在 console
    'no-console': ['warn']
  }
};